import etk
import os

path='/media/card/music/*.ogg'
#volume='value' where value=[0,127]
volumeHand='0'
volumeHead='0'

playing = 0

vBox = etk.VBox()
hBox = etk.HBox()

#create a button (not yet on any window)
h = etk.Button(label="High")
l = etk.Button(label="Low")
pHand = etk.Button(label="Handset")
pHead = etk.Button(label="Headphones")

hBox.append(pHand, etk.HBox.START, etk.HBox.EXPAND_FILL, 0)
hBox.append(pHead, etk.HBox.END, etk.HBox.EXPAND_FILL, 0)

vBox.append(h, etk.VBox.START, etk.VBox.EXPAND_FILL, 0)
vBox.append(l, etk.VBox.START, etk.VBox.EXPAND_FILL, 0)
vBox.append(hBox, etk.VBox.END, etk.VBox.EXPAND_FILL, 0)

w = etk.Window(title="Bright Player", child=vBox)

def high(target):
	global playing
	if playing == 1:
		playing=0
		os.system('killall mplayer')
		os.system('amixer cset iface=MIXER,name=\'Amp Spk Switch\' on')
	os.system('echo 0 > /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/backlight/pcf50633-bl/bl_power')
	os.system('echo 63 > /sys/class/backlight/pcf50633-bl/brightness')
	etk.main_quit()

def low(target):
	global playing
	if playing == 1:
		playing=0
		os.system('killall mplayer')
		os.system('amixer cset iface=MIXER,name=\'Amp Spk Switch\' on > /dev/null')
	os.system('echo 0 > /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/backlight/pcf50633-bl/bl_power')
	os.system('echo 21 > /sys/class/backlight/pcf50633-bl/brightness')
	etk.main_quit()

def playHand(target):
	global playing
	global path
	global volumeHand
	os.system('echo 1 > /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/backlight/pcf50633-bl/bl_power');
	if playing == 0:
		playing = 1
		hBox.hide()
		os.system('amixer cset iface=MIXER,name=\'Headphone Playback Volume\' '+volumeHand+' '+volumeHand+' > /dev/null')
		os.system('mplayer -really-quiet -noconsolecontrols -nojoystick -nolirc -nomouseinput -shuffle '+path+' > /dev/null &')
		os.system('python /usr/bin/detector.py &')

def playHead(target):
	global playing
	global path
	global volumeHead
	os.system('echo 1 > /sys/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/backlight/pcf50633-bl/bl_power');
	if playing == 0:
		playing = 1
		hBox.hide()
		os.system('amixer cset iface=MIXER,name=\'Amp Spk Switch\' off > /dev/null')
		os.system('amixer cset iface=MIXER,name=\'Headphone Playback Volume\' '+volumeHead+' '+volumeHead+' > /dev/null')
		os.system('mplayer -really-quiet -noconsolecontrols -nojoystick -nolirc -nomouseinput -shuffle '+path+' > /dev/null &')
		os.system('python /usr/bin/detector.py &')

h.on_clicked(high)
l.on_clicked(low)
pHead.on_clicked(playHead)
pHand.on_clicked(playHand)

w.show_all()

etk.main()
